U++ - Refactoring #1746

MacroManager should be independed from ThelDE and move to separate package
Description

Currently MacroManager depends on ide object which is not very good design. It is cyclic dependency - ide instance creates

MacroManager with own instance. This is not perfect.

The main task here is to provide API that returns what ide should do. For example if user press edit button the information should be

available by get method on ide. We should also rethink how to pass files to the macro manager.

If you have any questions - please feel free to ask.

History

#1 - 06/18/2017 07:20 PM - Abdelghani Omari
- File MacroManager.patch added

this patch also covers #1747.

#2 - 06/19/2017 02:27 AM - Abdelghani Omari
- Status changed from New to Ready for CR
- Assignee changed from Abdelghani Omari to Zbigniew Rebacz

#3 - 06/24/2017 11:39 PM - Zbigniew Rebacz
- Status changed from Ready for CR to Approved

Files

MacroManager.patch 6.97 KB
